M=15;
%okruh=5; %VR-lichý, 1;  MR-sudý, M
TlMin=min(min(T_lici));TlMax=max(max(T_lici));
hMin=min(min(htc)); hMax=max(max(htc));
TMin=min(min(min(teplota)));TMax=max(max(max(teplota)));
%hMax=700;

for okruh=1:13
s=S(1,okruh); %vzdálenost středu okruhu

cisloRezu=b(okruh,round((n(okruh)+1)/2));

 if cisloRezu>0 
h=htc(:,okruh);
  if mod(okruh,2) %sudý
    kraj=M;
  else kraj=1; %lichý
  end
m=max(size(teplota(1,1,:)));
  if m<1001
    t=tout;
  else t=linspace(0,tout(end),m);
  end
T=zeros(1,m);
T(:)=teplota(kraj,cisloRezu,:);

figure(okruh);
subplot(4,1,1);
plot(t,T,'c','LineWidth',2); 
title(['Okruh č.',num2str(okruh),', vzdálenost = ',num2str(s),'m']); %hold off;
xlabel('čas [s]'); ylabel(' teplota \newline na povrchu [°C]');
%axis([0 t(end) TMin-5 TMax+5]);
axis([0 t(end) min(T)-0.5 max(T)+0.5]);

subplot(4,1,2);
plot(t,h,'b','LineWidth',2);
% plot(t,V1_v(:,okruh)*100,'c');hold on;
% plot(t,V2_Ts(:,okruh)*100,'r');
% plot(t,V3_Tt(:,okruh)*100,'g');hold off;
% legend('v','Ts','Tt');
xlabel('čas [s]'); ylabel(' chlazení \newline [W m^{-2}K^{-1}]');
%axis([0 t(end) hMin-5 hMax+5]);

subplot(4,1,3);
plot(t,T_lici(:,okruh),'r','LineWidth',2); 
xlabel('čas [s]'); ylabel(' teplota licí [°C] \newline zpožděná');
axis([0 t(end) TlMin-5 TlMax+5]);

subplot(4,1,4);
v_vstup=ones(m,1).*v_vstup;
plot(t,v_vstup*60,'m','LineWidth',2);
xlabel('čas [s]'); ylabel(' rychlost lití \newline [m/min]');
axis([0 t(end) 0.4 1.1]);
 end %if cisloRezu
end